#ifndef _rcfile_h
#define _rcfile_h

#define RCDIR ".kwintvrc"
#define CHFILE "default.ch"

#include <qstring.h>
#include <qtstream.h> 
#include <qrect.h> 



class rcfile 
{
public:
  rcfile();
  ~rcfile();

  int load();
  int save();

public:
  QString country_name;
  QString channelListName;
  QString bttvDeviceName;
  QString ircDataName;
  QString ircDeviceName;
  QString mixerDeviceName;
  QString vc_tempName;
  QString ss_prefix;
  QString dataDir;

  int country_id;
  int mixerDevice;
  int col,hue,bri,contr;
  int delay;
  int norm,in,freq;
  int capture,posOfChannelBox,autoplaceChannelBox;
  int volume_left,volume_right,use_master_volume,sound_on,use_tv_volume,sliders_att,sliders_att_startup;
  int autosave,automouse,autott;
  int screensaver,ss_fixed,ss_width,ss_height,ss_format;
  int aspectRatio,autoar;
  int fs_upper_left,fs_x,fs_y,fs_switch_res,fs_infooverlay,fs_res;
  int vc_audioformat,vc_dimension,vc_format,vc_audiocapture,vc_fps,vc_channels,vc_bits,vc_rate,vc_video_clip;
  int vc_width,vc_height;

  int ol_restore,ol_toolbar,ol_menubar,ol_channel,ol_statusbar;
  QRect ol_geometry;
private:

  int version;
};

#endif

